## net.dontdrinkandroot.persistence.filter
Class AbstractFilter<T>

    java.lang.Object
      net.dontdrinkandroot.persistence.filter.AbstractFilter<T>

All Implemented Interfaces:
  java.io.Serializable, Filter<T>

Direct Known Subclasses:
  NullFilter, NumericFilter

    public abstract class AbstractFilter<T>

extends java.lang.Object
implements Filter<T>, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AbstractFilter(java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getName()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.dontdrinkandroot.persistence.filter.Filter
`createPredicate`

Constructor Detail

### AbstractFilter

    public AbstractFilter(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Filter<T>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.